Name: lpr
Version: 0.71
Release: alt2.3

Summary: A utility that manages print jobs
License: distributable
Group: System/Servers
URL: http://lpr.sourceforge.net/ 

Source: %url%name-%version.tar.bz2
Source1: lpd.init

Patch: lpr-0.71-mode.patch

Source100: lpc-lpd.control
Source101: lpq-lpd.control
Source102: lpr-lpd.control
Source103: lprm-lpd.control


PreReq: /sbin/chkconfig
%define _compress_method gzip


%description
The lpr package provides a basic system utility for
managing printing services.  Lpr manages print queues, sends print
jobs to local and remote printers and accepts print jobs from remote
clients.

If you will be printing from your system, you will need to install
either the lpr or the cups package.


%prep
%setup -q
%patch -p1

perl -p -i -e "s!strtolower!//strtolower!" lpr/lpr.c


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT%_mandir/{man1,man5,man8}

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%_mandir install

mkdir -p $RPM_BUILD_ROOT%_initdir
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/lpd

# prepare the commands conflicting with CUPS for the update-alternatives
# treatment
( cd $RPM_BUILD_ROOT%_bindir
  mv lpr lpr-lpd
  mv lpq lpq-lpd
  mv lprm lprm-lpd
)
( cd $RPM_BUILD_ROOT%_sbindir
  mv lpc lpc-lpd
)
( cd $RPM_BUILD_ROOT/%_mandir/man1
  mv lpr.1 lpr-lpd.1
  mv lpq.1 lpq-lpd.1
  mv lprm.1 lprm-lpd.1
)
( cd $RPM_BUILD_ROOT/%_mandir/man8
  mv lpc.8 lpc-lpd.8
)

mkdir -p $RPM_BUILD_ROOT/var/spool/lpd

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities
install -pm755 %SOURCE100 $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities/lpc-lpd
install -pm755 %SOURCE101 $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities/lpq-lpd
install -pm755 %SOURCE102 $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities/lpr-lpd
install -pm755 %SOURCE103 $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities/lprm-lpd


%pre
[ $1 -eq 1 ] || /usr/sbin/control-dump lpr-lpd
[ $1 -eq 1 ] || /usr/sbin/control-dump lprm-lpd
[ $1 -eq 1 ] || /usr/sbin/control-dump lpq-lpd
[ $1 -eq 1 ] || /usr/sbin/control-dump lpc-lpd

%post
%post_service lpd
[ $1 -eq 1 ] || /usr/sbin/control-restore lpr-lpd
[ $1 -eq 1 ] || /usr/sbin/control-restore lprm-lpd
[ $1 -eq 1 ] || /usr/sbin/control-restore lpq-lpd
[ $1 -eq 1 ] || /usr/sbin/control-restore lpc-lpd

# Set up update-alternatives entries
%_sbindir/update-alternatives --install %_bindir/lpr lpr %_bindir/lpr-lpd 5 --slave %_mandir/man1/lpr.1.gz lpr.1.gz %_mandir/man1/lpr-lpd.1.gz
%_sbindir/update-alternatives --install %_bindir/lpq lpq %_bindir/lpq-lpd 5 --slave %_mandir/man1/lpq.1.gz lpq.1.gz %_mandir/man1/lpq-lpd.1.gz
%_sbindir/update-alternatives --install %_bindir/lprm lprm %_bindir/lprm-lpd 5 --slave %_mandir/man1/lprm.1.gz lprm.1.gz %_mandir/man1/lprm-lpd.1.gz
%_sbindir/update-alternatives --install %_sbindir/lpc lpc %_sbindir/lpc-lpd 5 --slave %_mandir/man8/lpc.8.gz lpc.1.gz %_mandir/man8/lpc-lpd.8.gz

%preun
# Remove update-alternatives entries                     
%_sbindir/update-alternatives --remove lpr %_bindir/lpr-lpd
%_sbindir/update-alternatives --remove lpq %_bindir/lpq-lpd
%_sbindir/update-alternatives --remove lprm %_bindir/lprm-lpd
%_sbindir/update-alternatives --remove lpc %_bindir/lpc-lpd

%preun_service lpd

%files
%attr(6711,root,lp) %_bindir/lpq-lpd
%attr(6711,root,lp) %_bindir/lpr-lpd
%attr(6711,root,lp) %_bindir/lprm-lpd
%_bindir/lptest
%_mandir/man?/*
%attr(2711,root,lp) %_sbindir/lpc-lpd
%_sbindir/lpd
%_sbindir/lpf
%_sbindir/pac
%attr(0775,root,daemon)	%dir /var/spool/lpd
%config(noreplace) %_initdir/lpd
%config %_sysconfdir/control.d/facilities/*

%changelog
* Fri Dec 20 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71-alt2.3
- added control for lpr utilities

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71-alt2.2
- rebuild with gcc3

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71-alt2.1
- fixed suid/sgid file permissions

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71-alt2
- fix bug #0000302

* Wed Aug 15 2001 Stanislav Ievlev <inger@altlinux.ru> 0.71-alt1
- 0.71

* Fri Jun 01 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50-ipl9mdk
- Force to use gziped manuals. Init script correcting

* Thu Jan 09 2001 AEN <aen@logic.ru>
- adopted for RE

* Thu Oct 05 2000 Franois Pons <fpons@mandrakesoft.com> 0.50-7mdk
- security update from Red Hat.

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.50-6mdk
- removed these ugly symlinks in /etc/rc.d/rc?.d directory.
- use _initrddir macro.
- add missing noreplace on config files.

* Thu Aug 31 2000 Till Kamppeter <till@mandrakesoft.com> 0.50-5mdk
- Lowered update-alternatives priorities of the lpr commands so that
  the CUPS commands get the default ones (CUPS is the default printing
  system now)

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-4mdk
- patched Makefiles to ensure BM

* Thu Aug 24 2000 Till Kamppeter <till@mandrakesoft.com> 0.50-3mdk
- Made the lpr package ready for co-existing with the cups printing
  system.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- spechelper fixes
- fix group

* Thu Feb 17 2000 Franois PONS <fpons@mandrakesoft.com> 0.50-1mdk
- 0.50.

* Mon Jan 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.48-1mdk
- 0.48 (security fix).

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.47.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- build release.

* Sun Oct 17 1999 Francis Galiegue <francis@mandrakesoft.com>

- RH merge (security fixes)

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RedHat :
    - fix possible core dumps in lpc (ms@bee.de, #3776)
    - add lp= capability support (#3683)
    - fixes for job removal (#2676)
    - fix for RS capability (#3217)
    - RFC 1179 compliance actually works now...
    - make lpr RFC 1179 compliant

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- increase buffer length for filenames (bug #1676)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- change man page to show that -r -s is not supported (bug #717)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- security patch from Chris Evans
- fix for remote but not local users (originally from Kevin Sochacki)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Oct  1 1998 Bill Nottingham <notting@redhat.com>
- don't ignore SIGCHLD in filters

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Fri Jun 26 1998 Jeff Johnson <jbj@redhat.com>
- bring printjob up-to-date (fix problem #564)

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Apr 23 1998 Erik Troan <ewt@redhat.com>
- included new rmjob security fix from BSD

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- included rmjob patches from BSD

* Fri Feb 27 1998 Otto Hammersmith <otto@redhat.com>
- increased buffer for hostname from 32 to 1024, plenty big enough now.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- changed the initscript name from lpd.init to lpd (all links, too)

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>
- Fixed print filters to change to printer's UID so root-squashing wont bite us

* Wed Oct  8 1997 Michael Fulbright <msf@redhat.com>
- Fixed nasty error in getprent() and forked lpd's in startup() which
  caused the printcap file to be read incorrectly.
- added #include <string.h> as needed to make compile cleaner.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- changes for glibc 2.0.4

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- moved to v. 0.17, then 0.18 (!)
- Fixed bug on Alpha/glibc when printing to a remote queue via a filter

* Fri Mar 28 1997 Michael Fulbright <msf@redhat.com>
- Moved version up to 0.16
- Added input filter support for remote queues

* Wed Mar 05 1997 Erik Troan <ewt@redhat.com>
- Incorporated filter patch into main sources
- Removed RCS logs from source tar file
- Added patched from David Mosberger to fix __ivaliduser on Alpha's
- added -Dgetline=get_line for old glibcs (this means alpha)
